=== debian/control ===
Source: libxi
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Drew Parsons <dparsons@debian.org>, Jamey Sharp <sharpone@debian.org>, Josh Triplett <josh@freedesktop.org>, Julien Cristau <jcristau@debian.org>
Build-Depends: debhelper (>= 5.0.0), libx11-dev (>= 1:0.99.2), libxext-dev (>= 1:0.99.1), x11proto-input-dev (>= 1.4), pkg-config, quilt, xutils-dev, automake, libtool
Standards-Version: 3.7.3

Package: libxi6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 Input extension library
 libXi provides an X Window System client interface to the XINPUT
 extension to the X protocol.
 .
 The Input extension allows setup and configuration of multiple input devices,
 and will soon allow hotplugging of input devices; to be added and removed on
 the fly.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXi

Package: libxi6-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libxi6 (= ${binary:Version})
Description: X11 Input extension library (debug package)
 libXi provides an X Window System client interface to the XINPUT
 extension to the X protocol.
 .
 The Input extension allows setup and configuration of multiple input devices,
 and will soon allow hotplugging of input devices; to be added and removed on
 the fly.
 .
 This package contains the debug versions of the library found in libxi6.
 Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXi

Package: libxi-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxi6 (= ${binary:Version}), libx11-dev, libxext-dev, x11proto-input-dev
Pre-Depends: x11-common (>= 1:7.0.0)
Description: X11 Input extension library (development headers)
 libXi provides an X Window System client interface to the XINPUT
 extension to the X protocol.
 .
 The Input extension allows setup and configuration of multiple input devices,
 and will soon allow hotplugging of input devices; to be added and removed on
 the fly.
 .
 This package contains the development headers for the library found in
 libxi6.  Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXi
