=== debian/watch ===
version=3
http://xorg.freedesktop.org/releases/individual/lib/ libXi-(.*)\.tar\.gz
