## libxi 1.7.9-1+apricot-1

=== debian/changelog ===
libxi (2:1.7.9-1+apricot-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 23 Jan 2017 21:22:47 +0100

libxi (2:1.7.8-2) unstable; urgency=medium

  * Cherry-pick upstream commit 557b6079, don't free an uninitialized
    buffer. Closes: #849026.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 29 Dec 2016 11:22:29 +0100

libxi (2:1.7.8-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - Fixes CVE-2016-7945 and CVE-2016-7946 (Closes: #840440).
  * Update d/upstream/signing-key.asc with Matthieu Herrb's key.
  * Update a bunch of URLs in packaging to https.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Emilio Pozuelo Monfort ]
  * Acknowledge 2:1.7.6-1.1 NMU.
  * Cherry-pick upstream commit 7ac03c6c to plug a memory leak in the
    security fix.
  * Cherry-pick upstream commit 4c5c8d62, check a buffer was allocated
    before writing to it.
  * Bump debhelper compat to 10.
    + debhelper now calls dh-autoreconf automatically.
    + debhelper now enables --parallel by default.
  * Switch to -dbgsym packages.
  * debhelper passes --disable-silent-rules to configure for us.
  * Drop explicit build target. dh $@ can handle it.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 06 Dec 2016 00:50:24 +0100

libxi (2:1.7.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark libxi-dev as Multi-Arch: same. Closes: #689068.
  * Explicitly specify documentation's anchor ids instead of generating
    non-reproducible ones during the build (Francois Gouget).

 -- Matthias Klose <doko@debian.org>  Thu, 03 Nov 2016 14:52:54 +0100

libxi (2:1.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove Drew and Cyril from Uploaders.
  * Fix package descriptions: input hotplugging has been implemented years ago
    (closes: #782987).  Thanks, Paul Wise!

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Jan 2016 14:15:17 +0100

libxi (2:1.7.5-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
  * Switch to dh with the autoreconf and quilt addons.
  * Fix lintian error: pre-depends-directly-on-multiarch-support libxi6.
  * Let uscan verify tarball signatures.
  * Fix Vcs-* fields.
  * Remove obsolete XC- prefix from Package-Type field.
  * Add upstream url.
  * Bump standards version to 3.9.6.

  [ Julien Cristau ]
  * Delete obsolete debian/xsfbs.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 Oct 2015 12:29:20 +0200

libxi (2:1.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 21 Jul 2014 09:57:26 +0200

libxi (2:1.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 18:46:14 +0200

libxi (2:1.7.1.901-1) unstable; urgency=low

  * New upstream release candidate.

  [ Timo Aaltonen ]
  * control: Bump policy to 3.9.4, no changes.
  * control: Bump x11proto-input-dev build-dep to 2.2.99.1.
  * libxi6.symbols: Added new symbols.
  * rules: Bump shlibs.
  * control: Add libfixes-dev to build-deps and libxi-dev Depends.

  [ Julien Cristau ]
  * Use dpkg-buildflags.
  * Disable silent build rules.
  * Bump debhelper compat level to 7.
  * Simplify installing manpages.
  * Fix clean rule for config.h.in.
  * Use dh_prep instead of dh_clean -k.

 -- Julien Cristau <jcristau@debian.org>  Sun, 30 Jun 2013 15:51:02 +0200

libxi (2:1.6.1-1) unstable; urgency=low

  [ Julien Cristau ]
  * Don't require (fake)root for debian/rules clean.

  [ Cyril Brulebois ]
  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 May 2012 17:00:03 +0200

libxi (2:1.6.0-1) unstable; urgency=low

  [ Chase Douglas ]
  * New upstream release
    - Fix bus error on MIPS N32 (closes: #636920)
  * Bump build deps on x11proto-input-dev
  * Bump lintian standards version to 3.9.3

  [ Julien Cristau ]
  * Pull some more changes from upstream master:
    - Fix wrong button label and mask copy on OS X (fixes regression in the
      patch for bug#636920)
    - Move version comparison into a helper function
    - Set the RawEvent sourceid (#34240)
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 16 Apr 2012 19:32:32 +0200

libxi (2:1.5.99.2-1) experimental; urgency=low

  * New upstream release candidate:
    - With XI 2.2 support, needed for multitouch.
  * Fix changelog entry for 2:1.4.99.1-1:
    - With XI 2.1 support, no multitouch yet.
  * Bump x11proto-input-dev and libx11-dev build-deps.
  * Update libxi6.symbols with new symbols and bump shlibs.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 22 Dec 2011 14:19:35 +0100

libxi (2:1.5.0-1) experimental; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 21 Dec 2011 10:12:07 +0100

libxi (2:1.4.99.1-1) experimental; urgency=low

  * New upstream release candidate:
    - With XI 2.1 support.
  * Update build dependencies accordingly:
    - Bump xutils-dev, x11proto-input-dev, xorg-sgml-doctools.
    - Add xsltproc.
  * Update libxi-dev.install: specs/ and docs/ have been merged.
  * Don't install *.db yet.
  * Add -c4 to dh_makeshlibs.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Dec 2011 15:05:46 +0100

libxi (2:1.4.3-3) unstable; urgency=low

  * Team upload.
  * Don't ship debug symbols for the udeb in libxi6-dbg.
  * Add build-{arch,indep} debian/rules targets.

 -- Julien Cristau <jcristau@debian.org>  Sun, 12 Jun 2011 00:20:23 +0200

libxi (2:1.4.3-2) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Remove David Nusinow from Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Sat, 11 Jun 2011 16:14:32 +0200

libxi (2:1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Add a comment to the series file so that it isn't eaten by
    dpkg-source.
  * Bump Standards-Version (no changes).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 09 Jun 2011 12:08:59 +0200


