=== debian/control ===
Source: libxi
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper (>= 10),
 quilt,
 x11proto-core-dev (>= 7.0.13),
 x11proto-xext-dev (>= 7.0.3),
 x11proto-input-dev (>= 2.2.99.1),
 libx11-dev (>= 2:1.4.99.1),
 libxext-dev (>= 2:1.1.1-3),
 libxfixes-dev (>= 5),
 xmlto,
 asciidoc (>= 8.4.5),
 pkg-config,
 quilt,
 xutils-dev (>= 1:7.6+2),
# specs
 xmlto,
 xorg-sgml-doctools (>= 1:1.8),
 xsltproc,
 w3m,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libxi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/lib/libxi.git
Homepage: https://www.x.org/

Package: libxi6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X11 Input extension library
 libXi provides an X Window System client interface to the XINPUT
 extension to the X protocol.
 .
 The Input extension allows setup and configuration of multiple input devices,
 and hotplugging of input devices (to be added and removed on the fly).
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXi

Package: libxi6-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 Input extension library
 This is a udeb, or a microdeb, for the debian-installer.

Package: libxi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libxi6 (= ${binary:Version}),
 libx11-dev,
 libxext-dev,
 libxfixes-dev,
 x11proto-input-dev (>= 2.1.99.6),
 xorg-sgml-doctools (>= 1:1.5),
Replaces:
 x11proto-input-dev (<< 1.9.99)
Description: X11 Input extension library (development headers)
 libXi provides an X Window System client interface to the XINPUT
 extension to the X protocol.
 .
 The Input extension allows setup and configuration of multiple input devices,
 and hotplugging of input devices (to be added and removed on the fly).
 .
 This package contains the development headers for the library found in
 libxi6.  Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXi
