=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian libxi package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set this to the name of the main shlib's binary package
PACKAGE = libxi6

%:
	dh $@ --with quilt --builddirectory=build/

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-xmlto \
		--without-fop

override_dh_install:
	dh_install --fail-missing --exclude=libXi.la --exclude .db --exclude .xml

override_dh_strip:
	dh_strip -p$(PACKAGE) --dbgsym-migration="$(PACKAGE)-dbg (<< 2:1.7.8-1~)"
	dh_strip -N$(PACKAGE)

override_dh_makeshlibs:
	dh_makeshlibs -V'libxi6 (>= 2:1.6.99.1)' --add-udeb=$(PACKAGE)-udeb -- -c4
