=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libXi
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://xorg.freedesktop.org/releases/individual/lib/ libXi-(.*)\.tar\.gz
